package pl.vorg.mowa.core.graphics;

import javax.media.opengl.GL;

/**
 * Typ figur z których składa sie obiekt 3d
 * 
 * @author vorg
 *
 */
public enum PrimitiveType {
	None (GL.GL_POINTS),
	Points (GL.GL_POINTS),
	Triangles (GL.GL_TRIANGLES),
	Quads (GL.GL_QUADS);
	
	private final int glId;
	PrimitiveType(int glId) {
		this.glId = glId;
	}
	
	public int toGL() {
		return glId;
	}
}
